> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate an API key

> Re-activate a previously deactivated API key.




## OpenAPI

````yaml https://app.herondata.io/swagger put /api/credentials/keys/{heron_id}/activate
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/credentials/keys/{heron_id}/activate:
    put:
      tags:
        - Credentials
      summary: Activate an API key
      description: |
        Re-activate a previously deactivated API key.
      parameters:
        - in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyStatusSchema'
          description: Key activated
        '404':
          description: Key not found
components:
  schemas:
    ApiKeyStatusSchema:
      properties:
        heron_id:
          readOnly: true
          type: string
        is_active:
          readOnly: true
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````